# Datant Pipeline Monitor

A professional data pipeline monitoring solution by [Datant LLC](https://data-nt.tech).

## Installation

```bash
pip install datant-pipeline-monitor
```

## Features

- Real-time pipeline monitoring
- Prometheus integration for metrics collection
- Interactive dashboard visualization
- Memory and resource usage tracking
- Configurable alert system
- Professional-grade monitoring capabilities

## Documentation

For detailed documentation and examples, please visit our [documentation page](https://github.com/pachecocarlos27/DataTrackPro/docs).

## Quick Start

```python
from pipeline_monitor import PipelineMonitor
monitor = PipelineMonitor()

# Add a resource monitor
with monitor.resource_monitor("my_resource"):
    # Your code here

monitor.stop()
```

## Examples

Check out our [examples directory](https://github.com/pachecocarlos27/DataTrackPro/tree/main/examples) for more detailed usage examples.

## License

Copyright © 2024 Datant LLC. All rights reserved.
This software is proprietary and requires explicit permission from Datant LLC for commercial use.

## Support

For support inquiries, please contact us at admin@data-nt.com or visit our [website](https://data-nt.tech).

## About Datant LLC

Datant LLC specializes in professional data solutions and monitoring tools. Visit [data-nt.tech](https://data-nt.tech) to learn more about our services and solutions.